//
// ClickType.h
//
// This file was automatically generated and should not be edited.
//

#if __has_include(<Intents/Intents.h>)

#import <Intents/Intents.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, ClickType) {
    ClickTypeUnknown = 0,
    ClickTypeLeftMouse = 1,
    ClickTypeMiddleMouse = 2,
    ClickTypeRightMouse = 3,
    ClickTypeButton4 = 4,
    ClickTypeButton5 = 5,
    ClickTypeButton6 = 6,
    ClickTypeButton7 = 7,
    ClickTypeButton8 = 8
} API_AVAILABLE(ios(12.0), macos(10.16), watchos(5.0)) API_UNAVAILABLE(tvos);

API_AVAILABLE(ios(13.0), macos(10.16), watchos(6.0)) API_UNAVAILABLE(tvos)
@interface ClickTypeResolutionResult : INEnumResolutionResult

// This resolution result is for when the app extension wants to tell Siri to proceed, with a given ClickType. The resolvedValue can be different than the original ClickType. This allows app extensions to apply business logic constraints.
// Use +notRequired to continue with a 'nil' value.
+ (instancetype)successWithResolvedClickType:(ClickType)resolvedValue NS_SWIFT_NAME(success(with:));

// This resolution result is to ask Siri to confirm if this is the value with which the user wants to continue.
+ (instancetype)confirmationRequiredWithClickTypeToConfirm:(ClickType)valueToConfirm NS_SWIFT_NAME(confirmationRequired(with:));

+ (instancetype)successWithResolvedValue:(NSInteger)resolvedValue NS_UNAVAILABLE;
+ (instancetype)confirmationRequiredWithValueToConfirm:(NSInteger)valueToConfirm NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END

#endif
